{
   "format_version":"1.12",
   "minecraft:recipe_shapeless":{
      "description":{
         "identifier":"true:rose_solution"
      },
      "tags":[
         "crafting_table"
      ],
      "ingredients":[
         {
            "item":"true:rose_extract"
         },
         {
            "item":"true:rose_extract"
         },
         {
            "item":"true:vial_of_ethanol"
         }
      ],
      "result":{
         "item":"true:vial_of_rose_solution",
         "count":1
      }
   }
}